{% extends 'base.html.twig' %} {% block title %}Envoyer un rapport de traitement | Simplon les Deux Châtaux {% endblock %} {% block body %}
<main>
    <h4 class="p-3 text-center m-0">Envoyer les données à traiter</h4>
    <hr class="mt-0">

    <div class="upload-box">
        {{form_start(form)}}
        <div class="form-group">
            <div class="custom-file">
                <label class="custom-file-label" for="custom-file">Choisissez un fichier au format JSON</label> {{form_widget(form, {'attr': {'class': 'custom-file-input', 'id': 'custom-file', 'name': 'upload', } } )}}
            </div>
        </div>
        <button class="btn btn-primary text-center m-auto d-block">Envoyer</button> {{form_end(form)}}

    </div>
</main>
{% endblock %} {% block javascripts %}
<script>
    let fileInput = document.querySelector('.custom-file-input');
    fileInput.addEventListener("change", function() {
        document.querySelector('.custom-file-label').textContent = document.querySelector('#upload_file').value.split("\\").pop();
    })
</script>
{% endblock %}